sqlite 2.8은 당연하지만(!) 3.x 대의 파일을 열수 없다.

$ sqlite -version

2.8.17


$ sqlite3 -version

3.8.7.1 2014-10-29 13:59:56 3b7b72c4685aa5cf5e675c2c47ebec10d9704221 


sqlite 3.x 대의 db를 열려고 하니 에러가 발생! ㅠㅠ

$ file *

sqlite.udb: SQLite 3.x database 


$ sqlite sqlite.udb

Unable to open database "sqlite.udb": file is encrypted or is not a database


'프로그램 사용 > sqlite' 카테고리의 다른 글

sqlite primary key  (0) 2019.03.12
sqlite dateime  (0) 2018.11.27
sqlite3 도움말  (0) 2017.04.02
라즈베리 sqlite 버전  (0) 2017.04.02
sqlite 브라우저 / 윈도우용  (0) 2017.03.23
sqlite  (0) 2013.07.19
Posted by 구차니

댓글을 달아 주세요